package edu.mermet.tp8.fenetres;

import java.beans.PropertyChangeListener;

import javax.swing.Action;
import javax.swing.JInternalFrame;
import javax.swing.event.InternalFrameAdapter;
import javax.swing.event.InternalFrameEvent;

import edu.mermet.tp8.Application;


/**
 *
 * @author brunomermet
 */
public abstract class AbstractFenetreInterne extends JInternalFrame implements PropertyChangeListener {
    private Action action;

    public AbstractFenetreInterne(Action monAction, String nom) {
        super(nom, true,true,true,true);
        action = monAction;
        this.setDefaultCloseOperation(HIDE_ON_CLOSE);
        this.addInternalFrameListener(new EcouteurFenetre());
        Application.pcs.addPropertyChangeListener(this);
    }
    
    private class EcouteurFenetre extends InternalFrameAdapter {
        @Override
        public void internalFrameClosing(InternalFrameEvent ife) {
            action.setEnabled(true);
        }
    }
}
